Subject: Re: bug#29326: 26.0.90; Emacs crash on running comment-dwim

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Nov 2017 22:24:09 +0200

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 17 Nov 2017 20:04:06 +0000
> Cc: [email-masked], [email-masked]
> 
>  Thanks, I installed a change which should fix this.  Please try the
>  latest release branch.
> 
> That's a bulls-eye fix! Rebuilt from emacs-26 HEAD, and now C-x ; causes no more crashes in that test file.

Thanks for testing.

> I would have thought it is quite common to comment this way in src blocks in Org files.. also what's surprising
> that this crash happened only when doing C-x ; after a particular line.. and that "particular line" happens to be
> after Org fontification regexp starts misbehaving[1]. So I am not sure that that Org fontification bug had
> anything to do with this crash.

The trigger was the call to line-move-visual in nim-mode.  So you need
to do something that causes that function to be called by nim-mode,
when Org does the indent thing.  I think this doesn't happen
frequently because most modes used in source snippets in Org buffers
don't call line-move-visual (why would they? that function is for
interactively moving cursor vertically).